<template>
  <div class="c-header">
    <h1 class="col-sm-4 offset-sm-4 text-center" @click="goToHome()">Mon Petit Producteur</h1>
    <span class="c-subtitle">Commandez directement chez votre producteur</span>
    <button type="button" @click="goToCart()" class="btn c-cart-button" title="Accéder à votre panier">
      <span>
        <span v-if="getCartLength() > 0">{{ getCartLength() }}</span> <i v-if="cart" class="fa fa-shopping-basket"
          aria-hidden="true" /> Mon panier
      </span>
    </button>
  </div>
</template>

<script src="./Header.js"></script>
<style lang="scss" scoped src="./Header.scoped.scss"></style>
<style lang="scss" src="./Header.scss"></style>